This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1263387 - Screen backlight control is broken since 4.1.x kernel on rMBP [NEEDINFO]
Screen backlight control is broken since 4.1.x kernel on rMBP
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-15 13:49 EDT by Jeff Gustafson
Modified: 2015-11-23 12:10 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 12:10:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Jeff Gustafson 2015-09-15 13:49:46 EDT
Description of problem:
The backlight is at 100% ever since upgrading to the newer kernels in Fedora 22. 

Version-Release number of selected component (if applicable):
Fedora 22 (all latest). Kernel 4.1. 

How reproducible:
Update to kernel 4.1.x the screen is stuck at 100%. Reboot the system to a 4.0.x kernel and the brightness control works.

Steps to Reproduce:
1.
2.
3.

Actual results:
Stuck on 100% brightness

Expected results:
I should be able to decrease brightness.

Additional info:
There was a point where /usr/libexec/gsd-backlight-helper was segfaulting with 4.1.x kernels (similar to issue #1261138 ). This appears to be fixed, but the brightness function is still broken. 


gnome-session[2663]: (gnome-settings-daemon:2784): media-keys-plugin-WARNING **: Failed to set new screen percentage: GDBus.Error:org.gtk.GDBus.UnmappedGError.Quark._gsd_5fpower_5fmanager_5ferror.Code0: gsd-backlight-helper failed: Could not get the maximum value of the backlight: got invalid backlight value from /sys/devices/pnp0/00:03/backlight/gmux_backlight/max_brightness



cat /sys/devices/pnp0/00:03/backlight/gmux_backlight/max_brightness
-1

The '-1' appears to be an unacceptable fault for gsd-backlight-helper.
Comment 1 Jeff Gustafson 2015-09-15 21:34:33 EDT
I typed the wrong word:
s/unacceptable fault/unacceptable value/
Comment 2 Tim Sammut 2015-09-26 17:02:07 EDT
I am experiencing this same issue on 4.2.1 on Gentoo. I've filed a bug upstream at https://bugzilla.kernel.org/show_bug.cgi?id=105051.
Comment 3 Justin M. Forbes 2015-10-20 15:19:08 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 22 kernel bugs.

Fedora 22 has now been rebased to 4.2.3-200.fc22.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 23, and are still experiencing this issue, please change the version to Fedora 23.

If you experience different issues, please open a new bug report for those.
Comment 4 Fedora Kernel Team 2015-11-23 12:10:03 EST
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.